API Reference
KPIs
Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
symbol*Symbol
Query Parameters
limit?Limit
Range
1 <= value <= 500Default
100cursor?string|null
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/companies/string/kpis"{ "data": [ { "metric_key": "total_company_gross_bookings", "display": "Total Company Gross Bookings", "definition": "The total dollar value of rides, gross delivery and freight bookings, and other platform services including taxes, tolls, and fees, before driver and merchant payouts.", "importance": null, "unit": "USD", "category": null, "basis": null, "dimension_axis": null, "first_period": "FY2021-Q2", "last_period": "FY2026-Q2", "canonical_id": null } ], "pagination": { "next_cursor": null, "has_more": false }, "company": { "symbol": "UBER:US", "ticker": "UBER", "market": "US", "name": "Uber Technologies, Inc. Common Stock", "cik": "0001543151", "isin": null, "figi": null, "issuer_id": 10483 }}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
symbol*Symbol
metric_key*Metric Key
Query Parameters
scale?Scale
Default
"as_reported"Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/companies/string/kpis/string"{ "company": { "symbol": "UBER:US", "ticker": "UBER", "market": "US", "name": "Uber Technologies, Inc. Common Stock", "cik": "0001543151", "isin": null, "figi": null, "issuer_id": 10483 }, "metric": { "metric_key": "total_company_gross_bookings", "display": "Total Company Gross Bookings", "definition": "The total dollar value of rides, gross delivery and freight bookings, and other platform services including taxes, tolls, and fees, before driver and merchant payouts.", "importance": null, "unit": "USD", "category": "operational", "basis": null, "split_adjusted": false }, "points": [ { "period": { "calendar": null, "fiscal": "FY2026-Q1", "end_date": "2026-03-31", "kind": "quarter" }, "value": { "raw": 53720000000, "normalized": 53720000000, "unit": "USD", "original_unit": "USD", "conversion_factor": 1 }, "kind": "actual", "tier": "reported", "sources": [ "8-K" ], "split_adjusted": false, "provenance": [ { "src_id": "src_kpi2_be16edbfefe50d35", "source_provider": "sec", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000019/0001543151-26-000019-index.htm", "accession": "0001543151-26-000019", "quote": "Gross Bookings grew 25% YoY to $53.7 billion, and 21% on a constant currency basis.", "content_hash": null, "extracted_at": "2026-07-20T10:18:42.762293+00:00" } ] } ]}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
symbol*Symbol
metric_key*Metric Key
Query Parameters
limit?Limit
Range
1 <= value <= 500Default
100cursor?string|null
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/companies/string/kpis/string/observations"{ "data": [ { "obs_id": "b533b99fefd1f2641ecba654216546e350dffc7e4977141bb9e53473e8cbfc94", "metric_key": "total_company_gross_bookings", "issuer_label": "Gross Bookings", "as_described": "Total value of customer transactions across all segments.", "unit": "USD", "dimension": null, "member": null, "period": { "calendar": "2026Q1", "fiscal": "Q1 FY2026", "end_date": "2026-03-31", "kind": "quarter" }, "value": { "raw": 53720000000, "normalized": 53720000000, "unit": "USD", "original_unit": "USD", "conversion_factor": 1 }, "source_type": "8-K Ex-99.1", "provenance": { "src_id": "src_kpi2_be16edbfefe50d35", "source_provider": "sec", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000019/0001543151-26-000019-index.htm", "accession": "0001543151-26-000019", "quote": "Gross Bookings grew 25% YoY to $53.7 billion, and 21% on a constant currency basis.", "content_hash": null, "extracted_at": "2026-07-20T10:18:42.762293+00:00" } } ], "pagination": { "next_cursor": null, "has_more": false }, "company": { "symbol": "UBER:US", "ticker": "UBER", "market": "US", "name": "Uber Technologies, Inc. Common Stock", "cik": "0001543151", "isin": null, "figi": null, "issuer_id": 10483 }, "metric_key": "total_company_gross_bookings"}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}